Junoa-Hub-API
Junoa Hub
  1. Anthropic Messages
  • Gateway Discovery
    • List authorized models
      GET
    • Get available credits
      GET
    • List effective model pricing
      GET
  • OpenAI Text
    • Create chat completion
      POST
    • Create model response
      POST
  • Anthropic Messages
    • Create Claude message
      POST
  • Media Generation
    • Generate image
      POST
    • Create video job
      POST
    • Get video job
      GET
  • Embeddings
    • Create embedding
      POST
  • OCR
    • Create OCR result
      POST
  • Legacy VolcEngine
    • Create legacy content task
      POST
    • Get legacy content task
      GET
  1. Anthropic Messages

Create Claude message

全球加速 BaseURL
https://api.junoa.ai
全球加速 BaseURL
https://api.junoa.ai
POST
https://api.junoa.ai
/v1/messages
最后修改时间:2026-07-29 05:55:22
Anthropic Messages-compatible generation with typed content blocks and optional tool use. Set stream=true for SSE.

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Body 参数application/json必填

示例

返回响应

🟢200成功
application/json
Claude message or SSE stream selected by request stream=true.
Body

🟠400请求有误
🟠401没有权限
🟠404记录不存在
🟠429
🔴502网关错误
🔴504网关超时
请求示例请求示例
Shell
JavaScript
Java
Swift
curl --location 'https://api.junoa.ai/v1/messages' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "model": "claude-opus-4-8",
    "max_tokens": 256,
    "messages": [
        {
            "role": "user",
            "content": [
                {
                    "type": "text",
                    "text": "Hello, Claude"
                }
            ]
        }
    ],
    "stream": false
}'
响应示例响应示例
200 - 示例 1
{
    "id": "string",
    "type": "message",
    "role": "assistant",
    "content": [
        {
            "type": "text",
            "text": "string",
            "property1": "string",
            "property2": "string"
        }
    ],
    "model": "string",
    "stop_reason": "end_turn",
    "stop_sequence": "string",
    "usage": {
        "input_tokens": 0,
        "output_tokens": 0,
        "cache_creation_input_tokens": 0,
        "cache_read_input_tokens": 0,
        "property1": "string",
        "property2": "string"
    },
    "property1": "string",
    "property2": "string"
}
上一页
Create model response
下一页
Generate image
Built with